| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Functions
Fling::Initializers Namespace Reference

## Functions
VkMappedMemoryRange | MappedMemoryRange ()
VkDescriptorPoolSize | DescriptorPoolSize (VkDescriptorType t_type, UINT32 t_descriptorCount)
VkPipelineVertexInputStateCreateInfo | PiplineVertexInptStateCreateInfo ()
VkDescriptorPoolCreateInfo | DescriptorPoolCreateInfo (const std::vector< VkDescriptorPoolSize > &t_poolSizes, UINT32 t_maxSets)
VkMemoryAllocateInfo | MemoryAllocateInfo ()
VkDescriptorSetLayoutBinding | DescriptorSetLayoutBindings (VkDescriptorType t_type, VkShaderStageFlags t_stageFlags, UINT32 t_binding, UINT32 t_descriptorCount=1)
VkDescriptorSetLayoutCreateInfo | DescriptorSetLayoutCreateInfo (const std::vector< VkDescriptorSetLayoutBinding > &t_bindings)
VkRenderPassBeginInfo | RenderPassBeginInfo ()
VkWriteDescriptorSet | WriteDescriptorSetUniform (Buffer *t_Buffer, VkDescriptorSet t_DstSet, UINT32 t_Binding, UINT32 t_Set=0, VkDeviceSize t_Offset=0)
VkWriteDescriptorSet | WriteDescriptorSetImage (Texture *t_Image, VkDescriptorSet t_DstSet, UINT32 t_Binding, UINT32 t_Set=0, VkDeviceSize t_Offset=0)
VkSamplerCreateInfo | SamplerCreateInfo ()
VkImageViewCreateInfo | ImageViewCreateInfo ()
VkDescriptorSetAllocateInfo | DescriptorSetAllocateInfo (VkDescriptorPool t_descriptorPool, const VkDescriptorSetLayout *t_pSetLayouts, UINT32 t_descriptorSetCount)
VkDescriptorImageInfo | DescriptorImageInfo (VkSampler t_sampler, VkImageView t_imageView, VkImageLayout t_imageLayout)
VkWriteDescriptorSet | WriteDescriptorSet (VkDescriptorSet t_dstSet, VkDescriptorType t_type, UINT32 t_binding, VkDescriptorImageInfo *imageInfo, UINT32 descriptorCount=1)
VkPushConstantRange | PushConstantRange (VkShaderStageFlags t_stageFlags, UINT32 t_size, UINT32 t_offset)
VkPipelineLayoutCreateInfo | PiplineLayoutCreateInfo (const VkDescriptorSetLayout *t_pSetLayouts, UINT32 t_setLayoutCount=1)
VkPipelineInputAssemblyStateCreateInfo | PipelineInputAssemblyStateCreateInfo (VkPrimitiveTopology t_topology, VkPipelineInputAssemblyStateCreateFlags t_flags, VkBool32 t_primitiveRestartEnable)
VkPipelineRasterizationStateCreateInfo | PipelineRasterizationStateCreateInfo (VkPolygonMode t_polygonMode, VkCullModeFlags t_cullMode, VkFrontFace t_frontFace, VkPipelineRasterizationStateCreateFlags t_flags=0)
VkPipelineColorBlendStateCreateInfo | PipelineColorBlendStateCreateInfo (UINT32 t_attachmentCount, const VkPipelineColorBlendAttachmentState *t_pAttachments)
VkPipelineColorBlendAttachmentState | PipelineColorBlendAttachmentState (VkColorComponentFlags t_colorWriteMask, VkBool32 t_blendEnable)
VkPipelineDepthStencilStateCreateInfo | PipelineDepthStencilStateCreateInfo (VkBool32 depthTestEnable, VkBool32 depthWriteEnable, VkCompareOp depthCompareOp)
VkPipelineDynamicStateCreateInfo | PipelineDynamicStateCreateInfo (const VkDynamicState *pDynamicStates, uint32_t dynamicStateCount, VkPipelineDynamicStateCreateFlags flags=0)
VkPipelineDepthStencilStateCreateInfo | DepthStencilState (VkBool32 t_depthTestEnable, VkBool32 t_depthWriteEnable, VkCompareOp t_depthCompareOp)
VkPipelineViewportStateCreateInfo | PipelineViewportStateCreateInfo (UINT32 t_viewportCount, UINT32 t_scissorCount, VkPipelineViewportStateCreateFlags t_flags=0)
VkPipelineMultisampleStateCreateInfo | PipelineMultiSampleStateCreateInfo (VkSampleCountFlagBits t_rasterizationSamples, VkPipelineMultisampleStateCreateFlags t_flags=0)
VkPipelineDynamicStateCreateInfo | PipelineDynamicStateCreateInfo (const std::vector< VkDynamicState > &t_pDynamicStates, VkPipelineDynamicStateCreateFlags t_flags=0)
VkGraphicsPipelineCreateInfo | PipelineCreateInfo (VkPipelineLayout t_layout, VkRenderPass t_renderPass, VkPipelineCreateFlags t_flags=0)
VkVertexInputBindingDescription | VertexInputBindingDescription (UINT32 t_binding, UINT32 t_stride, VkVertexInputRate t_inputRate)
VkVertexInputAttributeDescription | VertexInputAttributeDescription (UINT32 t_binding, UINT32 t_location, VkFormat t_format, UINT32 t_offset)
VkViewport | Viewport (float t_width, float t_height, float t_minDepth, float t_maxDepth)
VkDescriptorSetLayoutBinding | DescriptorSetLayoutBinding (VkDescriptorType type, VkShaderStageFlags stageFlags, uint32_t binding, uint32_t descriptorCount=1)
VkWriteDescriptorSet | WriteDescriptorSet (VkDescriptorSet dstSet, VkDescriptorType type, uint32_t binding, VkDescriptorBufferInfo *bufferInfo, uint32_t descriptorCount=1)
VkRect2D | Rect2D (int32_t width, int32_t height, int32_t offsetX, int32_t offsetY)

## Function Documentation

## ◆ DepthStencilState()

VkPipelineDepthStencilStateCreateInfo Fling::Initializers::DepthStencilState | ( | VkBool32 | t_depthTestEnable,
|  | VkBool32 | t_depthWriteEnable,
|  | VkCompareOp | t_depthCompareOp
| ) |  |

## ◆ DescriptorImageInfo()

VkDescriptorImageInfo Fling::Initializers::DescriptorImageInfo | ( | VkSampler | t_sampler,
|  | VkImageView | t_imageView,
|  | VkImageLayout | t_imageLayout
| ) |  |

## ◆ DescriptorPoolCreateInfo()

VkDescriptorPoolCreateInfo Fling::Initializers::DescriptorPoolCreateInfo | ( | const std::vector< VkDescriptorPoolSize > & | t_poolSizes,
|  | UINT32 | t_maxSets
| ) |  |

## ◆ DescriptorPoolSize()

VkDescriptorPoolSize Fling::Initializers::DescriptorPoolSize | ( | VkDescriptorType | t_type,
|  | UINT32 | t_descriptorCount
| ) |  |

## ◆ DescriptorSetAllocateInfo()

VkDescriptorSetAllocateInfo Fling::Initializers::DescriptorSetAllocateInfo | ( | VkDescriptorPool | t_descriptorPool,
|  | const VkDescriptorSetLayout * | t_pSetLayouts,
|  | UINT32 | t_descriptorSetCount
| ) |  |

## ◆ DescriptorSetLayoutBinding()

VkDescriptorSetLayoutBinding Fling::Initializers::DescriptorSetLayoutBinding | ( | VkDescriptorType | type,
|  | VkShaderStageFlags | stageFlags,
|  | uint32_t | binding,
|  | uint32_t | descriptorCount = `1`
| ) |  |

## ◆ DescriptorSetLayoutBindings()

VkDescriptorSetLayoutBinding Fling::Initializers::DescriptorSetLayoutBindings | ( | VkDescriptorType | t_type,
|  | VkShaderStageFlags | t_stageFlags,
|  | UINT32 | t_binding,
|  | UINT32 | t_descriptorCount = `1`
| ) |  |

## ◆ DescriptorSetLayoutCreateInfo()

VkDescriptorSetLayoutCreateInfo Fling::Initializers::DescriptorSetLayoutCreateInfo | ( | const std::vector< VkDescriptorSetLayoutBinding > & | t_bindings | ) |

## ◆ ImageViewCreateInfo()

VkImageViewCreateInfo Fling::Initializers::ImageViewCreateInfo | ( |  | ) |

## ◆ MappedMemoryRange()

VkMappedMemoryRange Fling::Initializers::MappedMemoryRange | ( |  | ) |

## ◆ MemoryAllocateInfo()

VkMemoryAllocateInfo Fling::Initializers::MemoryAllocateInfo | ( |  | ) |

## ◆ PipelineColorBlendAttachmentState()

VkPipelineColorBlendAttachmentState Fling::Initializers::PipelineColorBlendAttachmentState | ( | VkColorComponentFlags | t_colorWriteMask,
|  | VkBool32 | t_blendEnable
| ) |  |

## ◆ PipelineColorBlendStateCreateInfo()

VkPipelineColorBlendStateCreateInfo Fling::Initializers::PipelineColorBlendStateCreateInfo | ( | UINT32 | t_attachmentCount,
|  | const VkPipelineColorBlendAttachmentState * | t_pAttachments
| ) |  |

## ◆ PipelineCreateInfo()

VkGraphicsPipelineCreateInfo Fling::Initializers::PipelineCreateInfo | ( | VkPipelineLayout | t_layout,
|  | VkRenderPass | t_renderPass,
|  | VkPipelineCreateFlags | t_flags = `0`
| ) |  |

## ◆ PipelineDepthStencilStateCreateInfo()

VkPipelineDepthStencilStateCreateInfo Fling::Initializers::PipelineDepthStencilStateCreateInfo | ( | VkBool32 | depthTestEnable,
|  | VkBool32 | depthWriteEnable,
|  | VkCompareOp | depthCompareOp
| ) |  |
| inline

## ◆ PipelineDynamicStateCreateInfo() [1/2]

VkPipelineDynamicStateCreateInfo Fling::Initializers::PipelineDynamicStateCreateInfo | ( | const VkDynamicState * | pDynamicStates,
|  | uint32_t | dynamicStateCount,
|  | VkPipelineDynamicStateCreateFlags | flags = `0`
| ) |  |
| inline

## ◆ PipelineDynamicStateCreateInfo() [2/2]

VkPipelineDynamicStateCreateInfo Fling::Initializers::PipelineDynamicStateCreateInfo | ( | const std::vector< VkDynamicState > & | t_pDynamicStates,
|  | VkPipelineDynamicStateCreateFlags | t_flags = `0`
| ) |  |

## ◆ PipelineInputAssemblyStateCreateInfo()

VkPipelineInputAssemblyStateCreateInfo Fling::Initializers::PipelineInputAssemblyStateCreateInfo | ( | VkPrimitiveTopology | t_topology,
|  | VkPipelineInputAssemblyStateCreateFlags | t_flags,
|  | VkBool32 | t_primitiveRestartEnable
| ) |  |

## ◆ PipelineMultiSampleStateCreateInfo()

VkPipelineMultisampleStateCreateInfo Fling::Initializers::PipelineMultiSampleStateCreateInfo | ( | VkSampleCountFlagBits | t_rasterizationSamples,
|  | VkPipelineMultisampleStateCreateFlags | t_flags = `0`
| ) |  |

## ◆ PipelineRasterizationStateCreateInfo()

VkPipelineRasterizationStateCreateInfo Fling::Initializers::PipelineRasterizationStateCreateInfo | ( | VkPolygonMode | t_polygonMode,
|  | VkCullModeFlags | t_cullMode,
|  | VkFrontFace | t_frontFace,
|  | VkPipelineRasterizationStateCreateFlags | t_flags = `0`
| ) |  |

## ◆ PipelineViewportStateCreateInfo()

VkPipelineViewportStateCreateInfo Fling::Initializers::PipelineViewportStateCreateInfo | ( | UINT32 | t_viewportCount,
|  | UINT32 | t_scissorCount,
|  | VkPipelineViewportStateCreateFlags | t_flags = `0`
| ) |  |

## ◆ PiplineLayoutCreateInfo()

VkPipelineLayoutCreateInfo Fling::Initializers::PiplineLayoutCreateInfo | ( | const VkDescriptorSetLayout * | t_pSetLayouts,
|  | UINT32 | t_setLayoutCount = `1`
| ) |  |

## ◆ PiplineVertexInptStateCreateInfo()

VkPipelineVertexInputStateCreateInfo Fling::Initializers::PiplineVertexInptStateCreateInfo | ( |  | ) |

## ◆ PushConstantRange()

VkPushConstantRange Fling::Initializers::PushConstantRange | ( | VkShaderStageFlags | t_stageFlags,
|  | UINT32 | t_size,
|  | UINT32 | t_offset
| ) |  |

## ◆ Rect2D()

VkRect2D Fling::Initializers::Rect2D | ( | int32_t | width,
|  | int32_t | height,
|  | int32_t | offsetX,
|  | int32_t | offsetY
| ) |  |

## ◆ RenderPassBeginInfo()

VkRenderPassBeginInfo Fling::Initializers::RenderPassBeginInfo | ( |  | ) |
| inline

## ◆ SamplerCreateInfo()

VkSamplerCreateInfo Fling::Initializers::SamplerCreateInfo | ( |  | ) |

## ◆ VertexInputAttributeDescription()

VkVertexInputAttributeDescription Fling::Initializers::VertexInputAttributeDescription | ( | UINT32 | t_binding,
|  | UINT32 | t_location,
|  | VkFormat | t_format,
|  | UINT32 | t_offset
| ) |  |

## ◆ VertexInputBindingDescription()

VkVertexInputBindingDescription Fling::Initializers::VertexInputBindingDescription | ( | UINT32 | t_binding,
|  | UINT32 | t_stride,
|  | VkVertexInputRate | t_inputRate
| ) |  |

## ◆ Viewport()

VkViewport Fling::Initializers::Viewport | ( | float | t_width,
|  | float | t_height,
|  | float | t_minDepth,
|  | float | t_maxDepth
| ) |  |

## ◆ WriteDescriptorSet() [1/2]

VkWriteDescriptorSet Fling::Initializers::WriteDescriptorSet | ( | VkDescriptorSet | t_dstSet,
|  | VkDescriptorType | t_type,
|  | UINT32 | t_binding,
|  | VkDescriptorImageInfo * | imageInfo,
|  | UINT32 | descriptorCount = `1`
| ) |  |

## ◆ WriteDescriptorSet() [2/2]

VkWriteDescriptorSet Fling::Initializers::WriteDescriptorSet | ( | VkDescriptorSet | dstSet,
|  | VkDescriptorType | type,
|  | uint32_t | binding,
|  | VkDescriptorBufferInfo * | bufferInfo,
|  | uint32_t | descriptorCount = `1`
| ) |  |

## ◆ WriteDescriptorSetImage()

VkWriteDescriptorSet Fling::Initializers::WriteDescriptorSetImage | ( | Texture * | t_Image,
|  | VkDescriptorSet | t_DstSet,
|  | UINT32 | t_Binding,
|  | UINT32 | t_Set = `0`,
|  | VkDeviceSize | t_Offset = `0`
| ) |  |

## ◆ WriteDescriptorSetUniform()

VkWriteDescriptorSet Fling::Initializers::WriteDescriptorSetUniform | ( | Buffer * | t_Buffer,
|  | VkDescriptorSet | t_DstSet,
|  | UINT32 | t_Binding,
|  | UINT32 | t_Set = `0`,
|  | VkDeviceSize | t_Offset = `0`
| ) |  |